net.minecraft.world.biome

## Class BiomeDecorator

- java.lang.Object
- - net.minecraft.world.biome.BiomeDecorator

- Direct Known Subclasses:
    BiomeEndDecorator, DeferredBiomeDecorator

      public class BiomeDecorator
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `WorldGenerator` | `bigMushroomGen` Field that holds big mushroom generator
    `int` | `bigMushroomsPerChunk` Amount of big mushrooms per chunk
    `BiomeGenBase` | `biome` The biome generator object.
    `int` | `cactiPerChunk` The number of cactus plants to generate per chunk.
    `WorldGenerator` | `cactusGen` Field that holds WorldGenCactus
    `int` | `chunk_X` The X-coordinate of the chunk currently being decorated
    `int` | `chunk_Z` The Z-coordinate of the chunk currently being decorated
    `WorldGenerator` | `clayGen` The clay generator.
    `int` | `clayPerChunk` The number of clay patches to generate per chunk.
    `WorldGenerator` | `coalGen`
    `World` | `currentWorld` The world the BiomeDecorator is currently decorating
    `int` | `deadBushPerChunk` The number of dead bushes to generate per chunk.
    `WorldGenerator` | `diamondGen` Field that holds diamond WorldGenMinable
    `WorldGenerator` | `dirtGen` The dirt generator.
    `int` | `flowersPerChunk` The number of yellow flower patches to generate per chunk.
    `boolean` | `generateLakes` True if decorator should generate surface lava & water
    `WorldGenerator` | `goldGen` Field that holds gold WorldGenMinable
    `int` | `grassPerChunk` The amount of tall grass to generate per chunk.
    `WorldGenerator` | `gravelAsSandGen` The gravel generator.
    `WorldGenerator` | `gravelGen`
    `WorldGenerator` | `ironGen`
    `WorldGenerator` | `lapisGen` Field that holds Lapis WorldGenMinable
    `WorldGenerator` | `mushroomBrownGen` Field that holds mushroomBrown WorldGenFlowers
    `WorldGenerator` | `mushroomRedGen` Field that holds mushroomRed WorldGenFlowers
    `int` | `mushroomsPerChunk` The number of extra mushroom patches per chunk.
    `WorldGenerator` | `plantRedGen` Field that holds one of the plantRed WorldGenFlowers
    `WorldGenerator` | `plantYellowGen` Field that holds one of the plantYellow WorldGenFlowers
    `Random` | `randomGenerator` The Biome Decorator's random number generator.
    `WorldGenerator` | `redstoneGen` Field that holds redstone WorldGenMinable
    `WorldGenerator` | `reedGen` Field that holds WorldGenReed
    `int` | `reedsPerChunk` The number of reeds to generate per chunk.
    `WorldGenerator` | `sandGen` The sand generator.
    `int` | `sandPerChunk` The number of sand patches to generate per chunk.
    `int` | `sandPerChunk2` The number of sand patches to generate per chunk.
    `int` | `treesPerChunk` The number of trees to attempt to generate per chunk.
    `WorldGenerator` | `waterlilyGen` The water lily generation!
    `int` | `waterlilyPerChunk` Amount of waterlilys per chunk.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BiomeDecorator(BiomeGenBase par1BiomeGenBase)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `decorate(World par1World, Random par2Random, int par3, int par4)` Decorates the world.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### currentWorld

          public World currentWorld

      The world the BiomeDecorator is currently decorating

    - #### randomGenerator

          public Random randomGenerator

      The Biome Decorator's random number generator.

    - #### chunk_X

          public int chunk_X

      The X-coordinate of the chunk currently being decorated

    - #### chunk_Z

          public int chunk_Z

      The Z-coordinate of the chunk currently being decorated

    - #### biome

          public BiomeGenBase biome

      The biome generator object.

    - #### clayGen

          public WorldGenerator clayGen

      The clay generator.

    - #### sandGen

          public WorldGenerator sandGen

      The sand generator.

    - #### gravelAsSandGen

          public WorldGenerator gravelAsSandGen

      The gravel generator.

    - #### dirtGen

          public WorldGenerator dirtGen

      The dirt generator.

    - #### gravelGen

          public WorldGenerator gravelGen

    - #### coalGen

          public WorldGenerator coalGen

    - #### ironGen

          public WorldGenerator ironGen

    - #### goldGen

          public WorldGenerator goldGen

      Field that holds gold WorldGenMinable

    - #### redstoneGen

          public WorldGenerator redstoneGen

      Field that holds redstone WorldGenMinable

    - #### diamondGen

          public WorldGenerator diamondGen

      Field that holds diamond WorldGenMinable

    - #### lapisGen

          public WorldGenerator lapisGen

      Field that holds Lapis WorldGenMinable

    - #### plantYellowGen

          public WorldGenerator plantYellowGen

      Field that holds one of the plantYellow WorldGenFlowers

    - #### plantRedGen

          public WorldGenerator plantRedGen

      Field that holds one of the plantRed WorldGenFlowers

    - #### mushroomBrownGen

          public WorldGenerator mushroomBrownGen

      Field that holds mushroomBrown WorldGenFlowers

    - #### mushroomRedGen

          public WorldGenerator mushroomRedGen

      Field that holds mushroomRed WorldGenFlowers

    - #### bigMushroomGen

          public WorldGenerator bigMushroomGen

      Field that holds big mushroom generator

    - #### reedGen

          public WorldGenerator reedGen

      Field that holds WorldGenReed

    - #### cactusGen

          public WorldGenerator cactusGen

      Field that holds WorldGenCactus

    - #### waterlilyGen

          public WorldGenerator waterlilyGen

      The water lily generation!

    - #### waterlilyPerChunk

          public int waterlilyPerChunk

      Amount of waterlilys per chunk.

    - #### treesPerChunk

          public int treesPerChunk

      The number of trees to attempt to generate per chunk. Up to 10 in forests, none in deserts.

    - #### flowersPerChunk

          public int flowersPerChunk

      The number of yellow flower patches to generate per chunk. The game generates much less than this number, since it attempts to generate them at a random altitude.

    - #### grassPerChunk

          public int grassPerChunk

      The amount of tall grass to generate per chunk.

    - #### deadBushPerChunk

          public int deadBushPerChunk

      The number of dead bushes to generate per chunk. Used in deserts and swamps.

    - #### mushroomsPerChunk

          public int mushroomsPerChunk

      The number of extra mushroom patches per chunk. It generates 1/4 this number in brown mushroom patches, and 1/8 this number in red mushroom patches. These mushrooms go beyond the default base number of mushrooms.

    - #### reedsPerChunk

          public int reedsPerChunk

      The number of reeds to generate per chunk. Reeds won't generate if the randomly selected placement is unsuitable.

    - #### cactiPerChunk

          public int cactiPerChunk

      The number of cactus plants to generate per chunk. Cacti only work on sand.

    - #### sandPerChunk

          public int sandPerChunk

      The number of sand patches to generate per chunk. Sand patches only generate when part of it is underwater.

    - #### sandPerChunk2

          public int sandPerChunk2

      The number of sand patches to generate per chunk. Sand patches only generate when part of it is underwater. There appear to be two separate fields for this.

    - #### clayPerChunk

          public int clayPerChunk

      The number of clay patches to generate per chunk. Only generates when part of it is underwater.

    - #### bigMushroomsPerChunk

          public int bigMushroomsPerChunk

      Amount of big mushrooms per chunk

    - #### generateLakes

          public boolean generateLakes

      True if decorator should generate surface lava & water

  - ### Constructor Detail

    - #### BiomeDecorator

          public BiomeDecorator(BiomeGenBase par1BiomeGenBase)

  - ### Method Detail

    - #### decorate

          public void decorate(World par1World,
                      Random par2Random,
                      int par3,
                      int par4)

      Decorates the world. Calls code that was formerly (pre-1.8) in ChunkProviderGenerate.populate